package zlkj.hr.common.enums;

/**
 * 异常
 */
public enum ErrorCodeEnum {
    CODE_OK("0", "成功"),
    CODE_NUMBER_INVALID("10000", "工号不正确，获取不到员工信息"),
    CODE_REG_COMMENT_INVALID("10001", "转正意见不正确，获取不到转正意见基础资料"),
    CODE_REG_CATEGORY_INVALID("10002", "转正分类不正确，获取不到转正分类基础资料"),
    CODE_PARAM_INVALID("10003", "请求参数错误"),
    CODE_BILL_EXITS("10004", "已生成转正单"),
    CODE_BILL_SAVE("10005", "转正单保存失败"),
    CODE_BILL_EFFECT("10006", "转正单生效失败"),
    CODE_BIZ_ERROR("99999", "系统错误"),
    ;

    private String code;
    private String desc;

    private ErrorCodeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return this.code;
    }

    public String getDesc() {
        return this.desc;
    }
}
